Stop A/B test
curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"keptTemplateId": 123
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop"
payload = { "keptTemplateId": 123 }
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({keptTemplateId: 123})
};
fetch('https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keptTemplateId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop"
payload := strings.NewReader("{\n \"keptTemplateId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"keptTemplateId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keptTemplateId\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "done",
"setup": {
"id": 123,
"name": "<string>",
"status": "active",
"archived": true,
"priority": 123,
"manualTriggerOnly": true,
"filter": {
"id": 123,
"name": "<string>"
},
"templates": [
{
"id": 123,
"name": "<string>",
"weight": 123
}
],
"abTest": {
"status": "running",
"metric": "reply_rate",
"winnerTemplateId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"stopAt": "2023-11-07T05:31:56Z"
},
"schedule": "24/7",
"timezone": "<string>",
"biddingDelayMinutes": 123,
"dailyProposalsLimit": 123,
"proposalsToday": 123,
"boosting": {
"enabled": true,
"mode": "fixed",
"cases": [
{
"condition": "<string>",
"amount": 123
}
],
"maxBid": 123,
"dailyConnectsLimit": 123
},
"qualifier": {
"enabled": true,
"source": "filter",
"id": 123,
"name": "<string>"
},
"preScreening": {
"enabled": true,
"timeoutMinutes": 123,
"timeoutAction": "approve"
},
"activationProblems": [
"<string>"
],
"customSchedule": [
{
"day": "<string>",
"hour": 123
}
],
"catchUpBidding": true,
"maxJobAgeHours": 123,
"qualifierPrompt": "<string>",
"qualifierModel": "<string>",
"notifications": {
"enabled": true,
"telegramConnected": true,
"slackChannel": "<string>",
"notifyDisqualifiedJobs": true
},
"applyIfAlreadyAppliedByAnotherBidder": true,
"roomInviteSettings": {},
"totalProposalsSent": 123,
"abHistory": [
{}
]
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Auto Bidding
Stop A/B test
Ends the setup’s running A/B test and keeps one of its templates for every next proposal. The results so far go to the test history
POST
/
auto-bidding
/
setups
/
{id}
/
ab
/
stop
Stop A/B test
curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"keptTemplateId": 123
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop"
payload = { "keptTemplateId": 123 }
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({keptTemplateId: 123})
};
fetch('https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keptTemplateId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop"
payload := strings.NewReader("{\n \"keptTemplateId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"keptTemplateId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/setups/{id}/ab/stop")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keptTemplateId\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "done",
"setup": {
"id": 123,
"name": "<string>",
"status": "active",
"archived": true,
"priority": 123,
"manualTriggerOnly": true,
"filter": {
"id": 123,
"name": "<string>"
},
"templates": [
{
"id": 123,
"name": "<string>",
"weight": 123
}
],
"abTest": {
"status": "running",
"metric": "reply_rate",
"winnerTemplateId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"stopAt": "2023-11-07T05:31:56Z"
},
"schedule": "24/7",
"timezone": "<string>",
"biddingDelayMinutes": 123,
"dailyProposalsLimit": 123,
"proposalsToday": 123,
"boosting": {
"enabled": true,
"mode": "fixed",
"cases": [
{
"condition": "<string>",
"amount": 123
}
],
"maxBid": 123,
"dailyConnectsLimit": 123
},
"qualifier": {
"enabled": true,
"source": "filter",
"id": 123,
"name": "<string>"
},
"preScreening": {
"enabled": true,
"timeoutMinutes": 123,
"timeoutAction": "approve"
},
"activationProblems": [
"<string>"
],
"customSchedule": [
{
"day": "<string>",
"hour": 123
}
],
"catchUpBidding": true,
"maxJobAgeHours": 123,
"qualifierPrompt": "<string>",
"qualifierModel": "<string>",
"notifications": {
"enabled": true,
"telegramConnected": true,
"slackChannel": "<string>",
"notifyDisqualifiedJobs": true
},
"applyIfAlreadyAppliedByAnotherBidder": true,
"roomInviteSettings": {},
"totalProposalsSent": 123,
"abHistory": [
{}
]
}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Authorizations
API token for authentication
Path Parameters
Setup ID
Body
application/json
One of the templates in the test
Was this page helpful?